Skip to content

List persisted business-function runs as a page.

GET
/api/workspace/admin/function-operations/runs/page
curl --request GET \
--url 'https://example.com/api/workspace/admin/function-operations/runs/page?Status=0&ActionTargetScope=0&SortField=0&SortDirection=0'
  • None
FunctionId
string
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
Source
string
TriggerBindingId
string
ScheduleId
string
dateFrom
string format: date
timeFrom
string format: time
dateTo
string format: date
timeTo
string format: time
ActionId
string
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId
string
EntityInstanceId
string
BusinessFunctionVersionId
string
ActorUserId
string
OriginalUserId
string
Search
string
Page
integer format: int32
PageSize
integer format: int32
SortField

Sortable fields for persisted business-function run pages.

integer format: int32
Allowed values: 0 1 2 3 4

Sortable fields for persisted business-function run pages.

SortDirection

Sort direction for business-function operation pages.

integer format: int32
Allowed values: 0 1

Sort direction for business-function operation pages.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Paged operational result for persisted business-function runs.

object
Items

Runs in the requested page.

Array<object>
nullable

Operational summary for one Moltaro business-function run.

object
Id

Run identifier.

string
nullable
BusinessFunctionId

Function identifier.

string
nullable
BusinessFunctionKey

Function key.

string
nullable
BusinessFunctionName

Function display name.

string
nullable
BusinessFunctionVersionId

Captured function version identifier.

string
nullable
VersionNumber

Captured function version number.

integer format: int32
Source

Execution source.

string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
StartedAt

Start timestamp.

string format: date-time
CompletedAt

Completion timestamp.

string format: date-time
nullable
DurationMs

Duration in milliseconds.

integer format: int64
nullable
CorrelationId

Correlation identifier.

string
nullable
EntityDefinitionId

Related entity definition identifier.

string
nullable
EntityInstanceId

Related entity instance identifier.

string
nullable
EntityOperation

Related entity operation.

string
nullable
TriggerBindingId

Trigger binding identifier, when any.

string
nullable
ScheduleId

Schedule identifier, when any.

string
nullable
TriggerBinding

Human-readable trigger-binding reference for a business-function operation.

object
Id

Trigger binding identifier.

string
nullable
EntityDefinitionId

Bound entity definition identifier.

string
nullable
EntityDefinitionName

Bound entity definition display name.

string
nullable
BusinessFunctionId

Bound function identifier.

string
nullable
BusinessFunctionName

Bound function display name.

string
nullable
Source
integer format: int32
Allowed values: 0 1
Operation
integer format: int32
Allowed values: 0 1 2 3 4
Schedule

Human-readable schedule reference for a business-function operation.

object
Id

Schedule identifier.

string
nullable
Name

Schedule display name.

string
nullable
CronExpression

Saved CRON expression.

string
nullable
TimeZone

Schedule time zone override, when any.

string
nullable
QueuedJobId

Queued job identifier, when any.

string
nullable
ResultSummary

Compact result summary.

string
nullable
ResultData

Structured JSON result payload.

object
ErrorSummary

Compact error summary.

string
nullable
ActorUserId

Effective actor user identifier, when any.

string
nullable
OriginalUserId

Original user identifier, when any.

string
nullable
ActionId

Surface Action identifier, when any.

string
nullable
ActionLabel

Current Action label, when the source Action still exists.

string
nullable
ActionSourceSurface
integer format: int32
Allowed values: 0 1 2 3 4 5
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
TargetKey

Computed action target key when available.

string
nullable
ActionSelectedEntityIdsCount

Selected entity id count for selection actions.

integer format: int32
ActorUser

User display reference for business-function operations.

object
Id

User identifier or stable system actor identifier.

string
nullable
DisplayName

Resolved display name.

string
nullable
Email

User email when available.

string
nullable
AvatarInitials

Avatar initials.

string
nullable
AvatarBackgroundColor

Avatar background color.

string
nullable
AvatarTextColor

Avatar text color.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsDeleted

Whether the user is deleted.

boolean
IsSystemActor

Whether the reference is the built-in Moltaro automation actor.

boolean
IsMissing

Whether the referenced user no longer exists in the workspace cache.

boolean
OriginalUser

User display reference for business-function operations.

object
Id

User identifier or stable system actor identifier.

string
nullable
DisplayName

Resolved display name.

string
nullable
Email

User email when available.

string
nullable
AvatarInitials

Avatar initials.

string
nullable
AvatarBackgroundColor

Avatar background color.

string
nullable
AvatarTextColor

Avatar text color.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsDeleted

Whether the user is deleted.

boolean
IsSystemActor

Whether the reference is the built-in Moltaro automation actor.

boolean
IsMissing

Whether the referenced user no longer exists in the workspace cache.

boolean
EntityTarget

Display model for the entity target of a business-function operation.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionName

Entity definition display name.

string
nullable
EntityInstanceId

Primary entity instance identifier when the operation targets one record.

string
nullable
DisplayName

Primary target label for the UI.

string
nullable
Subtitle

Secondary target label for the UI.

string
nullable
SelectedCount

Number of selected entity instances.

integer format: int32
SelectedRecords

Bounded sample of selected records.

Array<object>
nullable

Display reference for one selected business-function target record.

object
InstanceId

Entity instance identifier.

string
nullable
DisplayName

Resolved record display name.

string
nullable
Subtitle

Resolved record subtitle when available.

string
nullable
CanCancel

Whether the run can be cancelled manually.

boolean
CancellationKind
integer format: int32
Allowed values: 0 1 2
HttpEndpoint

HTTP-specific operational metadata captured for one endpoint run.

object
Id

HTTP run detail identifier.

string
nullable
BusinessFunctionRunId

Parent business-function run identifier.

string
nullable
BusinessFunctionHttpEndpointId

Configured HTTP endpoint identifier, when available.

string
nullable
EndpointKey

Inbound endpoint key.

string
nullable
Method

HTTP method.

string
nullable
Path

Path suffix after the endpoint key.

string
nullable
ContentType

Request content type, when supplied.

string
nullable
ContentLength

Request content length, when supplied.

integer format: int64
nullable
BodyMode
integer format: int32
Allowed values: 0 1 2 3
AuthMode
integer format: int32
Allowed values: 0 1 2 3
ActorMode
integer format: int32
Allowed values: 0 1
AuthResult

Authentication outcome captured by the endpoint runtime.

string
nullable
HttpStatusCode

HTTP status code returned to the caller.

integer format: int32
nullable
ResponseContentType

Response content type returned to the caller.

string
nullable
ResponseBodyBytes

Response body size in bytes.

integer format: int32
nullable
RedactedHeaders

Redacted request headers.

object
RedactedQuery

Redacted request query values.

object
FormSummary

Redacted form-url-encoded request summary.

object
PlatformFailureCode

Platform-level failure code before handler execution, when any.

string
nullable
FailureReasonCode

Stable machine-readable reason code for a platform or runtime failure.

string
nullable
QueuedJobAttemptCount

Immutable queued-job attempt that caused this run, when any.

integer format: int32
nullable
SourceNetOperationProjectRevisionId

Net Operation Project source revision captured for this execution.

string
nullable
SourceNetOperationProjectBuildId

Net Operation Project build captured for this execution.

string
nullable
SourceNetOperationProjectArtifactId

Net Operation Project artifact captured by the published function version.

string
nullable
ResolvedNetOperationProjectArtifactId

Net Operation Project artifact selected before runtime activation.

string
nullable
TotalCount

Total number of runs matching the filters.

integer format: int32
Page

One-based page number.

integer format: int32
PageSize

Requested page size.

integer format: int32
FilterDisplays

Human-readable labels for active business-function operation filters.

object
Function

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
Action

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
EntityDefinition

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
ActorUser

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
OriginalUser

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
TriggerBinding

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
Schedule

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Status": 0,
"TriggerBinding": {
"Source": 0,
"Operation": 0
},
"ActionSourceSurface": 0,
"ActionTargetScope": 0,
"ActorUser": {
"UserType": 0
},
"OriginalUser": {
"UserType": 0
},
"CancellationKind": 0,
"HttpEndpoint": {
"BodyMode": 0,
"AuthMode": 0,
"ActorMode": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Paged operational result for persisted business-function runs.

object
Items

Runs in the requested page.

Array<object>
nullable

Operational summary for one Moltaro business-function run.

object
Id

Run identifier.

string
nullable
BusinessFunctionId

Function identifier.

string
nullable
BusinessFunctionKey

Function key.

string
nullable
BusinessFunctionName

Function display name.

string
nullable
BusinessFunctionVersionId

Captured function version identifier.

string
nullable
VersionNumber

Captured function version number.

integer format: int32
Source

Execution source.

string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
StartedAt

Start timestamp.

string format: date-time
CompletedAt

Completion timestamp.

string format: date-time
nullable
DurationMs

Duration in milliseconds.

integer format: int64
nullable
CorrelationId

Correlation identifier.

string
nullable
EntityDefinitionId

Related entity definition identifier.

string
nullable
EntityInstanceId

Related entity instance identifier.

string
nullable
EntityOperation

Related entity operation.

string
nullable
TriggerBindingId

Trigger binding identifier, when any.

string
nullable
ScheduleId

Schedule identifier, when any.

string
nullable
TriggerBinding

Human-readable trigger-binding reference for a business-function operation.

object
Id

Trigger binding identifier.

string
nullable
EntityDefinitionId

Bound entity definition identifier.

string
nullable
EntityDefinitionName

Bound entity definition display name.

string
nullable
BusinessFunctionId

Bound function identifier.

string
nullable
BusinessFunctionName

Bound function display name.

string
nullable
Source
integer format: int32
Allowed values: 0 1
Operation
integer format: int32
Allowed values: 0 1 2 3 4
Schedule

Human-readable schedule reference for a business-function operation.

object
Id

Schedule identifier.

string
nullable
Name

Schedule display name.

string
nullable
CronExpression

Saved CRON expression.

string
nullable
TimeZone

Schedule time zone override, when any.

string
nullable
QueuedJobId

Queued job identifier, when any.

string
nullable
ResultSummary

Compact result summary.

string
nullable
ResultData

Structured JSON result payload.

object
ErrorSummary

Compact error summary.

string
nullable
ActorUserId

Effective actor user identifier, when any.

string
nullable
OriginalUserId

Original user identifier, when any.

string
nullable
ActionId

Surface Action identifier, when any.

string
nullable
ActionLabel

Current Action label, when the source Action still exists.

string
nullable
ActionSourceSurface
integer format: int32
Allowed values: 0 1 2 3 4 5
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
TargetKey

Computed action target key when available.

string
nullable
ActionSelectedEntityIdsCount

Selected entity id count for selection actions.

integer format: int32
ActorUser

User display reference for business-function operations.

object
Id

User identifier or stable system actor identifier.

string
nullable
DisplayName

Resolved display name.

string
nullable
Email

User email when available.

string
nullable
AvatarInitials

Avatar initials.

string
nullable
AvatarBackgroundColor

Avatar background color.

string
nullable
AvatarTextColor

Avatar text color.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsDeleted

Whether the user is deleted.

boolean
IsSystemActor

Whether the reference is the built-in Moltaro automation actor.

boolean
IsMissing

Whether the referenced user no longer exists in the workspace cache.

boolean
OriginalUser

User display reference for business-function operations.

object
Id

User identifier or stable system actor identifier.

string
nullable
DisplayName

Resolved display name.

string
nullable
Email

User email when available.

string
nullable
AvatarInitials

Avatar initials.

string
nullable
AvatarBackgroundColor

Avatar background color.

string
nullable
AvatarTextColor

Avatar text color.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsDeleted

Whether the user is deleted.

boolean
IsSystemActor

Whether the reference is the built-in Moltaro automation actor.

boolean
IsMissing

Whether the referenced user no longer exists in the workspace cache.

boolean
EntityTarget

Display model for the entity target of a business-function operation.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionName

Entity definition display name.

string
nullable
EntityInstanceId

Primary entity instance identifier when the operation targets one record.

string
nullable
DisplayName

Primary target label for the UI.

string
nullable
Subtitle

Secondary target label for the UI.

string
nullable
SelectedCount

Number of selected entity instances.

integer format: int32
SelectedRecords

Bounded sample of selected records.

Array<object>
nullable

Display reference for one selected business-function target record.

object
InstanceId

Entity instance identifier.

string
nullable
DisplayName

Resolved record display name.

string
nullable
Subtitle

Resolved record subtitle when available.

string
nullable
CanCancel

Whether the run can be cancelled manually.

boolean
CancellationKind
integer format: int32
Allowed values: 0 1 2
HttpEndpoint

HTTP-specific operational metadata captured for one endpoint run.

object
Id

HTTP run detail identifier.

string
nullable
BusinessFunctionRunId

Parent business-function run identifier.

string
nullable
BusinessFunctionHttpEndpointId

Configured HTTP endpoint identifier, when available.

string
nullable
EndpointKey

Inbound endpoint key.

string
nullable
Method

HTTP method.

string
nullable
Path

Path suffix after the endpoint key.

string
nullable
ContentType

Request content type, when supplied.

string
nullable
ContentLength

Request content length, when supplied.

integer format: int64
nullable
BodyMode
integer format: int32
Allowed values: 0 1 2 3
AuthMode
integer format: int32
Allowed values: 0 1 2 3
ActorMode
integer format: int32
Allowed values: 0 1
AuthResult

Authentication outcome captured by the endpoint runtime.

string
nullable
HttpStatusCode

HTTP status code returned to the caller.

integer format: int32
nullable
ResponseContentType

Response content type returned to the caller.

string
nullable
ResponseBodyBytes

Response body size in bytes.

integer format: int32
nullable
RedactedHeaders

Redacted request headers.

object
RedactedQuery

Redacted request query values.

object
FormSummary

Redacted form-url-encoded request summary.

object
PlatformFailureCode

Platform-level failure code before handler execution, when any.

string
nullable
FailureReasonCode

Stable machine-readable reason code for a platform or runtime failure.

string
nullable
QueuedJobAttemptCount

Immutable queued-job attempt that caused this run, when any.

integer format: int32
nullable
SourceNetOperationProjectRevisionId

Net Operation Project source revision captured for this execution.

string
nullable
SourceNetOperationProjectBuildId

Net Operation Project build captured for this execution.

string
nullable
SourceNetOperationProjectArtifactId

Net Operation Project artifact captured by the published function version.

string
nullable
ResolvedNetOperationProjectArtifactId

Net Operation Project artifact selected before runtime activation.

string
nullable
TotalCount

Total number of runs matching the filters.

integer format: int32
Page

One-based page number.

integer format: int32
PageSize

Requested page size.

integer format: int32
FilterDisplays

Human-readable labels for active business-function operation filters.

object
Function

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
Action

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
EntityDefinition

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
ActorUser

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
OriginalUser

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
TriggerBinding

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
Schedule

Human-readable display reference for an active business-function operation filter.

object
Id

Raw identifier used by the filter.

string
nullable
DisplayName

Human-readable label or raw identifier fallback.

string
nullable
Subtitle

Optional secondary label.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Status": 0,
"TriggerBinding": {
"Source": 0,
"Operation": 0
},
"ActionSourceSurface": 0,
"ActionTargetScope": 0,
"ActorUser": {
"UserType": 0
},
"OriginalUser": {
"UserType": 0
},
"CancellationKind": 0,
"HttpEndpoint": {
"BodyMode": 0,
"AuthMode": 0,
"ActorMode": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}